using OpenCvSharp;

namespace Hawkeye.VisionBuilder.Workflow.ColorStudioClasses.Filters;

public interface IFilter
{
    public IFilterParent Parent { get; set; }
    void Transform(ref Mat image, ref Mat res);
    void Save(BinaryWriter writer);
    void Load(BinaryReader reader);
    public bool IsSelected { get; set; }

}